ProbABEL(1)

NAME
probabel - Wrapper around the three ProbABEL binaries, simplifying their use

SYNOPSIS
probabel CHROM-START CHROM-STOP METHOD COHORT MODEL PHENOTYPE [OTHER_OPTIONS]

DESCRIPTION
probabel is a wrapper around the three ProbABEL binaries: palinear, palogist, and pacoxph.

It is designed to simplify runnig of a Genome-Wide Association Study (GWAS) by saving the user's precious time in two ways:

1) it runs the regression analysis of all chromosomes from CHROM-START to CHROM-STOP.

2) In contrast to the three binaries mentioned above, with probabel the user doesn't need to specify the locations of the required genetic data files. Their location is centrally managed in a configuration file (/etc/probabel_config.cfg by default).

OPTIONS

  Required command line options

CHROM-START
    Number of the chromosome to start the analysis at.

CHROM-END
    Number of the chromosome to end the analysis at.

Note that analysis of a single chromosome can be run by specifying the same number for CHROM-START and CHROM-STOP. In fact, this is the way to run analysis for the X or Y chromosome

METHOD
    Which regression method to use, can be one of linear, logistic, or coxph.

COHORT
    The name of the cohort as defined in the /etc/probabel_config.cfg file. Using the cohort identifier from the config file the three actual ProbABEL binaries know where to find the genotypic information files (dosage files and/or probability files).

MODEL
    The genetic model to be used. Can be either --additive for the additive model (requires genotype data in dosage form), or --allmodels to run all genetic models: additive, recessive, dominant, over-dominant and 2df.

PHENOTYPE
    The name of the phenotype file, without its extension (which should be .PHE!).

  Other options
Any options listed after the (mandatory) previous ones will be passed on to the underlying binary: palinear, palogist or pacoxph, depending on the METHOD.

The most commonly used option is the -o option, followed by a file name, this specifies the beginning of the file name for the output files.

  Additional options
-h, --help Get additional help on how to run probabel. In this case none of the other options needs to be specified.

EXAMPLES
This runs a genome-wide association scan using linear regression and the additive genetic model on cohort My_Large_Cohort for phenotype my_phenotype:

    probabel 1 22 linear "My_Large_Cohort" --additive my_phenotype

SEE ALSO
palinear(1), palogist(1), pacoxph(1)

BUGS
The bugtracker is located at
https://r-forge.r-project.org/tracker/?group_id=505

AUTHORS
Lennart C. Karssen